Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class AbstractElementTypeEnumerator

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.AbstractElementTypeEnumerator

public abstract class AbstractElementTypeEnumerator
extends java.lang.Object

Abstract superclass for types wishing to define constants that represent element types contributed in the `org.eclipse.gmf.runtime.emf.type.core.elementTypes` extension point.

Provides a convenience method that will access the `ElementTypeRegistry` to get element types by ID.

Constructor Summary
`AbstractElementTypeEnumerator()`

Method Summary
`protected static IElementType` `getElementType(java.lang.String id)` Gets the element type for `id` from the `ElementTypeRegistry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractElementTypeEnumerator

    public AbstractElementTypeEnumerator()

Method Detail

### getElementType

    protected static final IElementType getElementType(java.lang.String id)

  Gets the element type for `id` from the `ElementTypeRegistry`.

  Parameters:
    `id` - the element type identifier
  Returns:
    element type for `id` from the `ElementTypeRegistry`, or `null` if there is no element type with that ID.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.